Package: digikam
Version: 2:0.9.4~beta5-1
Severity: wishlist

Debian policy 3.8.0.0 states:

  * Debian packages should not use convience copies of code from other
    packages unless the included package is explicitly intended to be
    used that way.                                            [4.13]

digikam does this with cimg (version 1.2.8).

It would be better to (upgrade Debian cimg and) link digikam to system
supplied library of cimg.

Mark

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.25-2-powerpc
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages digikam depends on:
ii  kdebase-kio-plugins  4:3.5.9.dfsg.1-2+b1 core I/O slaves for KDE
ii  kdelibs4c2a          4:3.5.9.dfsg.1-4    core libraries and binaries for al
ii  libc6                2.7-12              GNU C Library: Shared libraries
ii  libgcc1              1:4.3.0-5           GCC support library
ii  libgphoto2-2         2.4.0-9             gphoto2 digital camera library
ii  libgphoto2-port0     2.4.0-9             gphoto2 digital camera port librar
ii  libjasper1           1.900.1-4           The JasPer JPEG-2000 runtime libra
ii  libjpeg62            6b-14               The Independent JPEG Group's JPEG 
ii  libkdcraw3           0.1.4-2             Raw picture decoding C++ library (
ii  libkexiv2-3          0.1.7-1             Qt like interface for the libexiv2
ii  libkipi0             0.1.6-1             library for apps that want to use 
ii  liblcms1             1.16-10             Color management library
ii  libpng12-0           1.2.27-1            PNG library - runtime
ii  libqt3-mt            3:3.3.8b-5          Qt GUI Library (Threaded runtime v
ii  libsqlite3-0         3.5.9-2             SQLite 3 shared library
ii  libstdc++6           4.3.0-5             The GNU Standard C++ Library v3
ii  libtiff4             3.8.2-8             Tag Image File Format (TIFF) libra
hi  libx11-6             2:1.0.3-7           X11 client-side library

Versions of packages digikam recommends:
ii  kdeprint             4:3.5.9.dfsg.1-2+b1 print system for KDE
ii  kipi-plugins         0.1.5-1             image manipulation/handling plugin
ii  konqueror            4:3.5.9.dfsg.1-2+b1 KDE's advanced file manager, web b

-- no debconf information



_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras

Reply via email to